## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     yfinance

Name:           python-%{srcname}
Version:        0.1.63
Release:        %autorelease
Summary:        Yahoo! Finance market data downloader
License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}/
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%global _description %{expand:
Ever since Yahoo! finance decommissioned their historical data API, many
programs that relied on it to stop working.

yfinance aims to solve this problem by offering a reliable, threaded,
and Pythonic way to download historical market data from Yahoo! finance.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Remove the python shebang from non-executable files.
sed -i '1{\@^#!/usr/bin/env python@d}' yfinance/*.py

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# A sample executable is included but it does not seem to work. It's not needed
# for the package since this is a python library meant to be used by other
# python executables.
rm -vf %{buildroot}%{_bindir}/sample

%pyproject_save_files yfinance


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 0.1.63-3
- Move to rpmautospec

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 0.1.63-1
- Update to 0.1.63

* Fri Jul 09 2021 Major Hayden <major@mhtx.net> 0.1.62-1
- Update to 0.1.62

* Thu Jul 08 2021 Major Hayden <major@mhtx.net> 0.1.61-1
- Update to 0.1.61

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 0.1.60-1
- Update to 0.1.60

* Fri Jun 11 2021 Major Hayden <major@mhtx.net> 0.1.59-1
- Initial import (#1969441)
